Page MenuHomePhabricator

Prompt users for consent to enable app instrumentation
Closed, ResolvedPublic

Description

Goal

The goal of this task is to let users accept or decline the capture of the InukaPageView instrumentation.

Request

Include a popup after the onboarding that requests users to choose whether to send usage reports.

Proposed design

Zeplin ➡https://app.zeplin.io/project/58dc46f4a83d1e477dd83859/dashboard?seid=5eaa6279d4db98241bce2b42

Dialog box

Design Details

  1. Dialog box shows up when users land on the search screen for the first time.
  2. Users will keep seeing the dialog box until they confirm their choice.
  3. Pressing back on this dialog exists the app.
  4. Users selection from here will also reflect on "Send usage reports" screen which is accessible from the settings menu.

Event Timeline

SBisson created this task.Apr 14 2020, 6:39 PM
Restricted Application added a project: Inuka-Team. · View Herald TranscriptApr 14 2020, 6:39 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
AMuigai moved this task from Backlog to Kanban on the Inuka-Team board.Apr 16 2020, 6:31 AM
AMuigai edited projects, added Inuka-Team (Kanban); removed Inuka-Team.
AMuigai updated the task description. (Show Details)Apr 16 2020, 1:34 PM
SGautam_WMF updated the task description. (Show Details)May 4 2020, 12:30 PM
SGautam_WMF updated the task description. (Show Details)

Do we assume the answer is "yes" when users have not confirmed their choice with DONE or they haven't seen this screen because they selected SKIP earlier in the onboarding flow?

SGautam_WMF added a comment.EditedMay 5 2020, 5:28 AM

Yes, to confirm their choice they need to press DONE. I am still not sure the better onboarding flow when we include it there as we want it to be the last screen in the onboarding flow, however, there CSK has already been assigned to "GET STARTED" in that case, we assign CSK to change the consent(y/n) and keep RSK to start the app. I am discussing it with Angie and will update this space with the same.

If we decide to keep it in the onboarding flow then users will see "Yes/No" set inside the "send usage reports" screen to reflect their choice from onboarding flow but if they skip onboarding then by default it'd be set to "Yes".

SGautam_WMF updated the task description. (Show Details)May 6 2020, 3:39 PM
SGautam_WMF updated the task description. (Show Details)
SGautam_WMF updated the task description. (Show Details)
SGautam_WMF updated the task description. (Show Details)May 8 2020, 1:39 PM
SGautam_WMF updated the task description. (Show Details)May 8 2020, 4:02 PM
SGautam_WMF removed a project: Design.
SGautam_WMF moved this task from Design doing to Ready for Dev on the Inuka-Team (Kanban) board.
SGautam_WMF added a subscriber: SGautam_WMF.
SBisson updated the task description. (Show Details)May 8 2020, 6:12 PM
SBisson moved this task from Ready for Dev to Dev on the Inuka-Team (Kanban) board.
eamedina moved this task from Dev to Code Review on the Inuka-Team (Kanban) board.May 9 2020, 12:30 AM
hueitan moved this task from Code Review to QA on the Inuka-Team (Kanban) board.May 12 2020, 9:01 AM
Jpita added a subscriber: Jpita.May 14 2020, 7:38 AM

how can I check if the NO option is actually not sending any data?

In the current flow, you can do that by checking "send usage reports" screen from Privacy and Terms menu, it shows your selection there.

how can I check if the NO option is actually not sending any data?

It's easy in the browser to check that no event logging request is going out but on the device, you would have to proxy through your computer and look at the traffic. I think it's possible but I haven't tried.

AMuigai triaged this task as Medium priority.May 14 2020, 1:37 PM
Jpita added a comment.May 16 2020, 6:40 AM

how can I check if the NO option is actually not sending any data?

It's easy in the browser to check that no event logging request is going out but on the device, you would have to proxy through your computer and look at the traffic. I think it's possible but I haven't tried.

Trying Charles proxy to see if I can get it working

Jpita added a comment.May 20 2020, 9:43 AM

how can I check if the NO option is actually not sending any data?

It's easy in the browser to check that no event logging request is going out but on the device, you would have to proxy through your computer and look at the traffic. I think it's possible but I haven't tried.

Trying Charles proxy to see if I can get it working

can't configure a proxy on the phone (neither manually nor with adb) so I can't test the network calls on the phone :(

Jpita moved this task from QA to Design sign off on the Inuka-Team (Kanban) board.May 20 2020, 9:43 AM

UI part looks fine on all 3 devices, moving it for product signoff.

AMuigai closed this task as Resolved.May 20 2020, 12:16 PM

[...]
can't configure a proxy on the phone (neither manually nor with adb) so I can't test the network calls on the phone :(

For future reference, you can use Firefox WebIDE to connect to the phone and inspect the app, including traffic, in the dev tools.

I was never able to make it work, I tried with Huei.
Will they again tomorrow